package com.ruoyi.bst.customerService.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.customerService.domain.CustomerService;
import com.ruoyi.bst.customerService.domain.CustomerServiceQuery;
import com.ruoyi.bst.customerService.domain.CustomerServiceVO;

/**
 * 客服Mapper接口
 *
 * @author ruoyi
 * @date 2025-04-02
 */
public interface CustomerServiceMapper
{
    /**
     * 查询客服
     *
     * @param id 客服主键
     * @return 客服
     */
    CustomerServiceVO selectCustomerServiceById(Long id);

    /**
     * 查询客服列表
     *
     * @param query 客服
     * @return 客服集合
     */
    List<CustomerServiceVO> selectCustomerServiceList(@Param("query")CustomerServiceQuery query);

    /**
     * 新增客服
     *
     * @param customerService 客服
     * @return 结果
     */
    int insertCustomerService(CustomerService customerService);

    /**
     * 批量新增客服
     */
    int batchInsert(@Param("list") List<? extends CustomerService> list);

    /**
     * 批量修改客服
     */
    int batchUpdate(@Param("list") List<? extends CustomerService> list);

    /**
     * 修改客服
     *
     * @param customerService 客服
     * @return 结果
     */
    public int updateCustomerService(@Param("data") CustomerService customerService);

    /**
     * 删除客服
     *
     * @param id 客服主键
     * @return 结果
     */
    int deleteCustomerServiceById(Long id);

    /**
     * 批量删除客服
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCustomerServiceByIds(Long[] ids);

    public int logicDel(@Param("ids") List<Long> ids);

    /**
     * 根据查询条件查询客服ID列表
     * @param query 查询条件
     * @return 客服ID列表
     */
    List<Long> selectIdByQuery(@Param("query") CustomerServiceQuery query);
}
